/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2007-2008 Richard Hughes <richard@hughsie.com>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __PK_SHARED_H
#define __PK_SHARED_H

#include <glib.h>

G_BEGIN_DECLS

/* a boolean with unset */
typedef enum {
	PK_HINT_ENUM_FALSE = FALSE,
	PK_HINT_ENUM_TRUE = TRUE,
	PK_HINT_ENUM_UNSET,
	PK_HINT_ENUM_INVALID,
	PK_HINT_ENUM_LAST
} PkHintEnum;

gboolean	 pk_directory_remove_contents		(const gchar	*directory);
const gchar	*pk_hint_enum_to_text			(PkHintEnum	 hint);
PkHintEnum	 pk_hint_enum_from_text			(const gchar	*hint);

G_END_DECLS

#endif /* __PK_SHARED_H */
